summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2020-07-24 18:44:56 +0000
committer Eric Hameleers <alien@slackware.com>2020-07-25 08:59:54 +0200
commitdae94cb773bd28a3ab07cd34de360fa86d2de064 (patch)
tree91d24097e5624a9a873a3820c242bd9b8155b7cc /source
parent8a9666da9b321efae41da18c81ada6407ac715ce (diff)
downloadcurrent-dae94cb773bd28a3ab07cd34de360fa86d2de064.tar.gz
current-dae94cb773bd28a3ab07cd34de360fa86d2de064.tar.xz
Fri Jul 24 18:44:56 UTC 202020200724184456
ap/vim-8.2.1288-x86_64-1.txz: Upgraded. d/oprofile-1.4.0-x86_64-1.txz: Upgraded. xap/vim-gvim-8.2.1288-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source')
-rwxr-xr-xsource/d/oprofile/oprofile.SlackBuild2
-rw-r--r--source/xap/FTBFSlog5
-rw-r--r--source/xap/mozilla-firefox/firefox.rust-1.45.diff14
-rwxr-xr-xsource/xap/mozilla-firefox/mozilla-firefox.SlackBuild3
-rwxr-xr-xsource/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild3
-rw-r--r--source/xap/mozilla-thunderbird/thunderbird.rust-1.45.diff12
-rwxr-xr-xsource/xap/seamonkey/seamonkey.SlackBuild3
-rw-r--r--source/xap/seamonkey/seamonkey.rust-1.45.diff12
8 files changed, 53 insertions, 1 deletions
diff --git a/source/d/oprofile/oprofile.SlackBuild b/source/d/oprofile/oprofile.SlackBuild
index fe842d939..89b2149e2 100755
--- a/source/d/oprofile/oprofile.SlackBuild
+++ b/source/d/oprofile/oprofile.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=oprofile
VERSION=${VERSION:-$(echo oprofile-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
diff --git a/source/xap/FTBFSlog b/source/xap/FTBFSlog
index c732de9ce..299f08714 100644
--- a/source/xap/FTBFSlog
+++ b/source/xap/FTBFSlog
@@ -1,3 +1,8 @@
+Fri Jul 24 18:28:43 UTC 2020
+ mozilla-firefox: Patch for rust-1.45.0 related build failure.
+ mozilla-thunderbird: Patch for rust-1.45.0 related build failure.
+ seamonkey: Patch for rust-1.45.0 related build failure.
++--------------------------+
Tue Nov 19 06:05:34 UTC 2019
mozilla-firefox: Patch for rust-1.39.0 and node.js related build failure.
mozilla-thunderbird: Patch for rust-1.39.0 and node.js related build failure.
diff --git a/source/xap/mozilla-firefox/firefox.rust-1.45.diff b/source/xap/mozilla-firefox/firefox.rust-1.45.diff
new file mode 100644
index 000000000..fe9e7441d
--- /dev/null
+++ b/source/xap/mozilla-firefox/firefox.rust-1.45.diff
@@ -0,0 +1,14 @@
+--- ./config/makefiles/rust.mk.orig 2020-07-08 06:51:15.000000000 -0500
++++ ./config/makefiles/rust.mk 2020-07-24 12:23:31.769077708 -0500
+@@ -61,7 +61,11 @@
+ # Enable link-time optimization for release builds, but not when linking
+ # gkrust_gtest.
+ ifeq (,$(findstring gkrust_gtest,$(RUST_LIBRARY_FILE)))
++# Pass -Clto for older versions of rust, and CARGO_PROFILE_RELEASE_LTO=true
++# for newer ones that support it. Combining the latter with -Clto works, so
++# set both everywhere.
+ cargo_rustc_flags += -Clto
++export CARGO_PROFILE_RELEASE_LTO=true
+ endif
+ endif
+ endif
diff --git a/source/xap/mozilla-firefox/mozilla-firefox.SlackBuild b/source/xap/mozilla-firefox/mozilla-firefox.SlackBuild
index c8e20e3c2..1001713b0 100755
--- a/source/xap/mozilla-firefox/mozilla-firefox.SlackBuild
+++ b/source/xap/mozilla-firefox/mozilla-firefox.SlackBuild
@@ -198,6 +198,9 @@ zcat $CWD/ff.ui.scrollToClick.diff.gz | patch -p1 --verbose || exit 1
# Fix building with latest Rust:
zcat $CWD/unbreakdocs.diff.gz | patch -p1 --verbose || exit 1
+# Again, fix building with latest Rust:
+zcat $CWD/firefox.rust-1.45.diff.gz | patch -p1 --verbose || exit 1
+
# Fetch localization, if requested
# https://bugzilla.mozilla.org/show_bug.cgi?id=1256955
if [ ! -z $MOZLOCALIZE ]; then
diff --git a/source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild b/source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild
index 43a454224..16a4264d7 100755
--- a/source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild
+++ b/source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild
@@ -179,6 +179,9 @@ zcat $CWD/tb.ui.scrollToClick.diff.gz | patch -p1 --verbose || exit 1
# Fix building with latest Rust:
zcat $CWD/unbreakdocs.diff.gz | patch -p1 --verbose || exit 1
+# Again, fix building with latest Rust:
+zcat $CWD/thunderbird.rust-1.45.diff.gz | patch -p1 --verbose || exit 1
+
# Bypass a test that fails the build:
zcat $CWD/gkrust.a.no.networking.check.diff.gz | patch -p1 --verbose || exit 1
diff --git a/source/xap/mozilla-thunderbird/thunderbird.rust-1.45.diff b/source/xap/mozilla-thunderbird/thunderbird.rust-1.45.diff
new file mode 100644
index 000000000..9d1586f0b
--- /dev/null
+++ b/source/xap/mozilla-thunderbird/thunderbird.rust-1.45.diff
@@ -0,0 +1,12 @@
+--- ./config/makefiles/rust.mk.orig 2020-07-24 12:54:18.411119017 -0500
++++ ./config/makefiles/rust.mk 2020-07-24 12:55:50.335121073 -0500
+@@ -47,7 +47,9 @@
+ ifndef DEVELOPER_OPTIONS
+ ifndef MOZ_DEBUG_RUST
+ # Enable link-time optimization for release builds.
++# Pass -Clto and CARGO_PROFILE_RELEASE_LTO=true.
+ cargo_rustc_flags += -C lto
++export CARGO_PROFILE_RELEASE_LTO=true
+ endif
+ endif
+
diff --git a/source/xap/seamonkey/seamonkey.SlackBuild b/source/xap/seamonkey/seamonkey.SlackBuild
index feacb5c11..15b286a04 100755
--- a/source/xap/seamonkey/seamonkey.SlackBuild
+++ b/source/xap/seamonkey/seamonkey.SlackBuild
@@ -122,6 +122,9 @@ cd seamonkey-${TARBALLVER} || exit 1
# Retain GTK+ v2 scrolling behavior:
zcat $CWD/sm.ui.scrollToClick.diff.gz | patch -p1 --verbose || exit 1
+# Fix building with latest Rust:
+zcat $CWD/seamonkey.rust-1.45.diff.gz | patch -p1 --verbose || exit 1
+
# Make sure the perms/ownerships are sane:
chown -R root:root .
find . \
diff --git a/source/xap/seamonkey/seamonkey.rust-1.45.diff b/source/xap/seamonkey/seamonkey.rust-1.45.diff
new file mode 100644
index 000000000..bf7bf7a8f
--- /dev/null
+++ b/source/xap/seamonkey/seamonkey.rust-1.45.diff
@@ -0,0 +1,12 @@
+--- ./mozilla/config/rules.mk.orig 2020-06-06 14:59:53.000000000 -0500
++++ ./mozilla/config/rules.mk 2020-07-24 13:16:53.707149335 -0500
+@@ -874,7 +874,9 @@
+ ifndef DEVELOPER_OPTIONS
+ ifndef MOZ_DEBUG_RUST
+ # Enable link-time optimization for release builds.
++# Pass -Clto and CARGO_PROFILE_RELEASE_LTO=true.
+ cargo_rustc_flags += -C lto
++export CARGO_PROFILE_RELEASE_LTO=true
+ endif
+ endif
+